<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for special_decalpha.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
special_decalpha - special processing for DEC ALPHA backend

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>special_decalpha</B> { -in | -out | -prefetches-to-dec
-kill-dec-prefetches } <I>infile</I> <I>outfile</I> { <I>infile</I> <I>outfile</I> }*

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>special</I><B>_</B><I>decalpha</I> program does special processing to
interface with the DEC ALPHA back-end compiler. It does
this by means of ``#pragma'' lines, both ``#pragma'' lines
in the input from system header files that give SUIF
information about the back-end, and ``#pragma'' lines that
SUIF puts in the output C files to communicate information
SUIF has to the back-end compiler. It also does special
optimizations that are specific to the DEC ALPHA back-end.
<P>
This program should be run twice, once after the front end
with the ``-in'' option to read in annotations, and once
just before s2c with the ``-out'' option. The
``-prefetches-to-dec''    and     ``-kill-dec-prefetches''
options are only used if prefetching instructions need to
be passed to the DEC Fortran compiler. If that is the
case, this program should be run two more times, once with
``-prefetches-to-dec'' before the Fortranizer, then once
with ``-kill-dec-prefetches'' after the Fortranizer before
the remaining code is translated to C.

<H2><A NAME="sect3" HREF="#toc3"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">History</A></LI>
</UL>
</BODY></HTML>
